<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:c="http://java.sun.com/jsp/jstl/core">
    <h:outputStylesheet library="css/extraction" name="#{css}" />
    <a4j:jsFunction name="changeDisplay"
                    execute="@this,panelChoiceDisplay,parametersRequest"
                    render="panelChoiceDisplay,parametersRequest"
                    limitRender="true">
    </a4j:jsFunction>
    <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.jsf.panels.displayChoiceStep" var="display"/>
    <p class="intro">#{display.PARAM_MSG_INTRO}</p>

    <a4j:outputPanel id="panelChoiceDisplay" ajaxRendered="false">
        <h:selectOneRadio value="#{uiBean.affichage}" onchange="changeDisplay()">
            <f:selectItem itemLabel="#{display.PROPERTY_MSG_DISPLAY_1}" itemValue="1" />
            <f:selectItem itemLabel="#{display.PROPERTY_MSG_DISPLAY_2}" itemValue="2" />
        </h:selectOneRadio>
    </a4j:outputPanel>
</html>
